=== debian/changelog ===
gowitness (3.0.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 24 Oct 2024 09:17:05 +0200

gowitness (3.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.4

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Oct 2024 08:29:45 +0200

gowitness (3.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.3

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Sep 2024 10:38:08 +0200

gowitness (3.0.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Disable armel build in Kali CI

  [ Daniel Ruiz de Alegría ]
  * New upstream version 3.0.0
  * Update packaging
  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sat, 21 Sep 2024 19:39:08 +0200

gowitness (2.5.1-0kali3) kali-dev; urgency=medium

  * Chromium (dependency) is not available on armel

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 18 May 2024 21:00:53 +0700

gowitness (2.5.1-0kali2) kali-dev; urgency=medium

  * Allow stderr in tests output

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Apr 2024 16:17:47 +0200

gowitness (2.5.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Apr 2024 11:25:48 +0200
