=== debian/control ===
Source: gowitness
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/sensepost/gowitness
Vcs-Browser: https://gitlab.com/kalilinux/packages/gowitness
Vcs-Git: https://gitlab.com/kalilinux/packages/gowitness.git
XS-Go-Import-Path: https://github.com/sensepost/gowitness

Package: gowitness
# Architecture: any [!armel]
Architecture: amd64 arm64 armhf i386
Depends:
 chromium,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description:  Web screenshot utility using Chrome Headless 
 gowitness is a website screenshot utility written in Golang, that uses Chrome
 Headless to generate screenshots of web interfaces using the command line, with
 a handy report viewer to process results. Both Linux and macOS is supported,
 with Windows support mostly working.
 .
 Inspiration for gowitness comes from Eyewitness. If you are looking for
 something with lots of extra features, be sure to check it out along with these
 other projects.
