=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go mod download
	go build -trimpath \
	    -buildmode=pie \
	    -mod=readonly \
	    -modcacherw \
	    -ldflags "-s -w" -o gowitness .

override_dh_auto_test:
