=== debian/tests/control ===
Test-Command: sh -c "gowitness scan single --url https://www.kali.org --write-stdout 2>&1 | grep status-code=200"
Restrictions: allow-stderr
