=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gowitness-$1\.tar\.gz/ \
  https://github.com/sensepost/gowitness/tags .*/v?(\d\S+)\.tar\.gz
