## gowitness 3.1.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 V := $(shell git rev-parse --short HEAD)
 APPVER := $(shell grep 'Version =' internal/version/version.go | cut -d \" -f2)
 PWD := $(shell pwd)
+GOPATH := $(shell go env GOPATH)
 BUILD_TIME := $(shell date -u +"%Y-%m-%dT%H:%M:%SZ")
 LD_FLAGS := -trimpath \
 	-ldflags="-s -w \
@@ -17,7 +18,7 @@
 
 # Clean up build artifacts
 clean:
-	find $(BIN_DIR) -type f -name 'gowitness-*' -delete
+	find $(BIN_DIR) -type f -name 'gowitness-*' -delete || true
 	go clean -x
 
 # Build frontend
@@ -31,8 +32,9 @@
 
 # Generate a swagger.json used for the api documentation
 api-doc:
-	~/go/bin/swag i --exclude ./web/ui --output web/docs
-	~/go/bin/swag f
+	go install github.com/swaggo/swag/cmd/swag@latest
+	$(GOPATH)/bin/swag i --exclude ./web/ui --output web/docs
+	$(GOPATH)/bin/swag f
 
 # Run any tests
 test:
