=== debian/changelog ===
gowitness (3.1.1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)
  * Set Architecture to any (armel is gone)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 3.1.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 24 Nov 2025 09:42:14 +0100
