=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),
@@ -17,8 +16,7 @@
 XS-Go-Import-Path: https://github.com/sensepost/gowitness
 
 Package: gowitness
-# Architecture: any [!armel]
-Architecture: amd64 arm64 armhf i386
+Architecture: any
 Depends:
  chromium,
  ${misc:Depends},
